<html xmlns:th="http://www.w3.org/1999/xhtml">
<div class="container">
  <h1>Register</h1>
  <form action="/register" th:object="${user}" method="POST" enctype="utf8">
    <div class="form-group">
      <label>Username</label>
      <input class="form-control" th:field="*{username}"/>
      <p class="alert alert-danger" th:each="error: ${#fields.errors('username')}"
         th:text="${error}">Validation error</p>
    </div>
    <div class="form-group">
      <label>Email</label>
      <input class="form-control" type="email" th:field="*{email}"/>
      <p class="alert alert-danger" th:each="error : ${#fields.errors('email')}"
         th:text="${error}">Validation error</p>
    </div>
    <div class="form-group">
      <label>Password</label>
      <input class="form-control" type="password" th:field="*{password}"/>
      <p class="alert alert-danger" th:each="error : ${#fields.errors('password')}"
         th:text="${error}">Validation error</p>
    </div>
    <div class="form-group">
      <label>Confirm password</label>
      <input class="form-control" type="password" th:field="*{matchingPassword}"/>
      <p class="alert alert-danger" th:if="${passNoMatch != null}" th:text="${passNoMatch}">Matching Error</p>
    </div>
    <div class="form-group">
      <div class="g-recaptcha col-sm-5"
           th:attr="data-sitekey=${@captchaSettings.getSite()}"></div>
      <span id="captchaError" class="alert alert-danger col-sm-4"
            style="display:none"></span>
    </div>

    <br />
    <div>
      <button class="btn btn-primary" type="submit">Submit</button>
    </div>
  </form>
  <hr />
  <p> Already have an account? <a th:href="@{/login}">Login</a></p>
</div>
</html>
